<?php // exit;

defined('_THLove') or die('Restricted access');

$filter = array(
    'json_decode',
    'truncate',
    'slugify_url',
    ''


);

$keyword = array(
    'ip',
    'get_uri_segments',
    'get_post',
    'get_get',
    'get_cookie',
    'set_cookie',
    'delete_cookie',
    'request_method',
    'debug',
    'user_agent',
    'redirect',

    'get_data',
    'save_data',
    'get_data_by_id',
    'update_data_by_id',
    'get_data_count',
    'delete_data_by_id',

);

function request_method() {
    return $_SERVER['REQUEST_METHOD'];
}

function ip() {
    return $_SERVER['REMOTE_ADDR'];
}

function debug($var) {
    print_r($var);
}

function get_uri_segments() {
    $uri_path = trim($_SERVER['REQUEST_URI'], '/');
$uri_segments = explode('/', $uri_path);
    return $uri_segments;
}

function redirect($path) {
    return header('Location: ' . $path);
}

function get_post($string) {
    return htmlspecialchars(addslashes($_POST[$string]));
}

function get_get($string) {
    return htmlspecialchars(addslashes($_GET[$string]));
}

function user_agent() {
    return $_SERVER['HTTP_USER_AGENT'];
}

function set_cookie($name, $value) {
    return setcookie($name, $value, time() + 3600 * 24 * 365);
}

function delete_cookie($name) {
    return setcookie($name, '', time() - 3600 * 24 * 365);
}

function get_cookie($name) {
    return htmlspecialchars(addslashes($_COOKIE[$name]));
}

function json_decode_($string) {
    return json_decode($string, true);
}
