<?php

define('_THLove', 1);

require_once 'source/core.php';
require_once 'libs/vendor/lib/Twig/Autoloader.php';
        Twig_Autoloader::register();

$loader = new Twig_Loader_Filesystem($dir_template);

$twig = new Twig_Environment($loader);

foreach ($keyword as $keyword) {
    $data = new Twig_SimpleFunction($keyword, $keyword);
    $twig->addFunction($data);
}

foreach ($filter as $filter) {
    $data = new Twig_SimpleFilter($filter, $filter . '_');
    $twig->addFilter($data);
}

$data = new Twig_SimpleFilter('last', function ($var) {
return $var[0] ? $var[0] : $var;
}
);
$twig->addFilter($data);


echo $twig->render($path, array(
    'domain' => $http_host
));