<?php

defined('_THLove') or die('Restricted access');

$http_host = $_SERVER['HTTP_HOST'];
$request_uri = $_SERVER['REQUEST_URI'];

$dir_template = ROOT . '/source/templates';

if ( $request_uri == '/' ) {
    $path = '_index';
} else {
    $url = substr( $request_uri, 1 );
    $get = explode( '?', $url );
    $path = $get[0];
}

if ( preg_match( '/.twig/is', $path ) ) die( 'This file is protected.' );

$uri = explode( '/', $path );

if ( !file_exists( $dir_template . '/' . $uri[0] ) ) {
    if ( !file_exists( $dir_templates . '/404' ) ) {
        die('Page not found.');
    } else {
        $path = '404';
    }
} else {
    $path = $uri[0];
}

function get_format( $name ) {
    $var = explode( '.', $name );
    if ( count( $var ) < 2 ) {
        $ext = 'html';
    } else {
        $ext = array_pop( $var);
    }
    $mime = array(
        'htm' => 'text/html',
        'html' => 'text/html',
        'php' => 'text/html',
        'txt' => 'text/plain',
        'css' => 'text/css',
        'js' => 'application/javascript',
        'json' => 'application/json',
        'xml' => 'application/xml',
        'rss' => 'application/rss+xml',
        'png' => 'image/png',
        'jpg' => 'image/jpeg',
        'jpeg' => 'image/jpeg',
        'gif' => 'image/gif',
        'ico' => 'image/x-icon'
    );
    if ( $mime[$ext] ) {
        return $mime[$ext];
    } else {
        return 'application/octet-stream';
    }
}

$cache_seconds = 2592000;
//header( 'Cache-Control: max-age=' . $cache_seconds );

header( 'Content-Type: ' . get_format( $path ) );

if ( get_format( $path ) != 'text/html' ) {
    readfile( $dir_template. '/' . $path );
    exit;
}

require_once ROOT . '/libs/twig.php';

require_once ROOT . '/libs/custom_data.php';